<div class="d-grid"> <!-- Needed to let following btn-block expand on the whole parent ignoring content width -->
	<div [ngClass]="{'btn btn-tertiary-light pet-glow-tertiary': !editing, 'pet-animate-select-press': checkedForCompare}" 
    (click)="toggleCheckForCompare($event)">
		<div class="row p-2 justify-content-around">
			
			<div class="col-3 d-flex flex-column" *ngIf="(ssDto.frontImg)">
				<button *ngIf="(!listing)"
					class="btn btn-sm btn-secondary position-absolute align-self-end zoom-icon 
						border border-secondary-fluo pet-main-diagonal-rounded pet-glow-dark-btn-sm-rev"
					(click)="showZoom($event, id, 'frontImg')">
					<fa-icon [icon]="iconZoom" class="light-svg"></fa-icon>
				</button>
				<img [src]="imgsSrc.frontImg"
					class="img-fluid pet-glow-dark pet-main-diagonal-rounded"
					alt="front image" />
			</div>
		
			<div class="col-3 d-flex flex-column" *ngIf="(ssDto.backImg)">
				<button *ngIf="(!listing)"
					class="btn btn-sm btn-secondary position-absolute align-self-end zoom-icon
						border border-secondary-fluo pet-main-diagonal-rounded pet-glow-dark-btn-sm-rev"
					(click)="showZoom($event, id, 'backImg')">
					<fa-icon [icon]="iconZoom" class="light-svg"></fa-icon>
				</button>
				<img [src]="imgsSrc.backImg"
					class="img-fluid pet-glow-dark pet-main-diagonal-rounded"
					alt="back image" />
			</div>
		
			<div class="col-3 d-flex flex-column" *ngIf="(ssDto.detailsOneImg)">
				<button *ngIf="(!listing)"
					class="btn btn-sm btn-secondary position-absolute align-self-end zoom-icon
						border border-secondary-fluo pet-main-diagonal-rounded pet-glow-dark-btn-sm-rev"
					(click)="showZoom($event, id, 'detailsOneImg')">
					<fa-icon [icon]="iconZoom" class="light-svg"></fa-icon>
				</button>
				<img [src]="imgsSrc.detailsOneImg"
					class="img-fluid pet-glow-dark pet-main-diagonal-rounded"
					alt="details_1 image" />
			</div>
		
			<div class="col-3 d-flex flex-column" *ngIf="(ssDto.detailsTwoImg)">
				<button *ngIf="(!listing)"
					class="btn btn-sm btn-secondary position-absolute align-self-end zoom-icon
						border border-secondary-fluo pet-main-diagonal-rounded pet-glow-dark-btn-sm-rev"
					(click)="showZoom($event, id, 'detailsTwoImg')">
					<fa-icon [icon]="iconZoom" class="light-svg"></fa-icon>
				</button>
				<img [src]="imgsSrc.detailsTwoImg"
					class="img-fluid pet-glow-dark pet-main-diagonal-rounded"
					alt="details_2 image" />
			</div>
		
		</div>
	</div>
			
	<div *ngIf="!editing"	class="row my-2 align-items-center">
		<div class="d-grid col px-1">
			<button *ngIf="listing"
				class="px-0 btn btn-primary-dark pet-btn-big border-primary-fluo pet-glow-dark-btn"
				(click)="router.navigate(['product/view'], { queryParams:  {id: id} })"
					i18n="btn@@viewProd">View<fa-icon [icon]="iconGoto" class="light-svg ms-2"></fa-icon>
			</button>
		</div>
		<div class="d-grid col px-1">
			<label class="px-0 border border-primary-light">Amazon</label>
		</div>
		<div class="d-grid col px-1">
			<label class="px-0 border border-primary-light">Shops</label>
		</div>
	</div>
</div>
<ng-container #zoomContainer></ng-container>

